$schema: "http://json-schema.org/draft-06/schema#"

title: compute v1 TargetHttpProxy export schema
description: A gcloud export/import command YAML validation schema.
type: object
additionalProperties: false
properties:
  COMMENT:
    type: object
    description: User specified info ignored by gcloud import.
    additionalProperties: false
    properties:
      template-id:
        type: string
      region:
        type: string
      description:
        type: string
      date:
        type: string
      version:
        type: string
  UNKNOWN:
    type: array
    description: Unknown API fields that cannot be imported.
    items:
      type: string
  description:
    description: |-
      An optional description of this resource. Provide this property when you
      create the resource.
    type: string
  httpKeepAliveTimeoutSec:
    description: |-
      Specifies how long to keep a connection open, after completing a
      response, while there is no matching traffic (in seconds). If an HTTP
      keep-alive is not specified, a default value (610 seconds) will be
      used. For Global external HTTP(S) load balancer, the minimum allowed
      value is 5 seconds and the maximum allowed value is 1200 seconds. For
      Global external HTTP(S) load balancer (classic), this option is not
      available publicly.
    type: integer
  name:
    description: |-
      Name of the resource. Provided by the client when the resource is
      created. The name must be 1-63 characters long, and comply with
      RFC1035. Specifically, the name must be 1-63 characters long and match
      the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the
      first character must be a lowercase letter, and all following
      characters must be a dash, lowercase letter, or digit, except the last
      character, which cannot be a dash.
    type: string
  proxyBind:
    description: |-
      This field only applies when the forwarding rule that references this
      target proxy has a loadBalancingScheme set to INTERNAL_SELF_MANAGED.
      When this field is set to true, Envoy proxies set up inbound traffic
      interception and bind to the IP address and port specified in the
      forwarding rule. This is generally useful when using Traffic Director
      to configure Envoy as a gateway or middle proxy (in other words, not a
      sidecar proxy). The Envoy proxy listens for inbound requests and
      handles requests when it receives them. The default is false.
    type: boolean
  urlMap:
    description: |-
      URL to the UrlMap resource that defines the mapping from URL to the
      BackendService.
    type: string
